---
title: Routing
---
## Resolve a Path to a Document
**Required scope:** `public-api:read`
You need to activate the [Categories](/reference/project-config/categories/llms.txt) / [Routing](/reference/project-config/content-types/llms.txt#routing) feature in the Project Config in order to resolve paths to your documents. Routing is a quite advanced topic and the examples only work with a default configuration. Find more [here](/guides/organisation/routing-system/).
**Curl Example**
```bash
ACCESS_TOKEN=ey1234
curl -k -X GET "https://server.livingdocs.io/api/2026-05/routing/resolve?path=:path" \
-H "Authorization: Bearer $ACCESS_TOKEN"
```
**Endpoint**
```http
GET /api/2026-05/routing/resolve
```
**Parameters**
| Name | Type | Required | Notes |
| ---- | ---- | :------: | ----- |
| path | string | x | Path to the document.
Example 1: A page with a category `/news` can be found with `?path=/news.html`.
Example 2: A document with id 10, with category `/news` and a slug `hello` can be found with `?path=/magazin/hello-10.html'`. |
**Response**
_200 OK_ — `/api/2026-05/routing/resolve?path=/correct-path/my-article-173.html`
```json
[
{
"type": "document",
"resource": {
"id": 173,
"statusCode": 200
}
}
]
```
_301 Moved Permanently_ — `/api/2026-05/routing/resolve?path=/incorrect-path/slug-with-correct-id-77.html`
```json
[
{
"type": "redirect",
"path": "/path/to/redirect",
"resource": {
"statusCode": 301
}
}
]
```
_404 Not Found_ — `/api/2026-05/routing/resolve?path=/does/not/exist`
```json
{
"status": 404,
"error": "Not Found"
}
```
_410_ — `/api/2026-05/routing/resolve?path=/unpublished-document-123.html`
```json
[
{
"type": "unpublished",
"resource": {
"id": 123,
"statusCode": 410
}
}
]
```